Create manual inventory (bulk)
curl --request POST \
--url https://app.buylo.ai/api/inventories/manual/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_id": "1",
"epc_ids": [
"BNOYQ",
"NDXDU",
"6XVKJ",
"FHT1K",
"8YMQ1"
]
}
'import requests
url = "https://app.buylo.ai/api/inventories/manual/create"
payload = {
"location_id": "1",
"epc_ids": ["BNOYQ", "NDXDU", "6XVKJ", "FHT1K", "8YMQ1"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({location_id: '1', epc_ids: ['BNOYQ', 'NDXDU', '6XVKJ', 'FHT1K', '8YMQ1']})
};
fetch('https://app.buylo.ai/api/inventories/manual/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"created_count": 5,
"details": [
{
"epc_id": "BNOYQ",
"status": "created",
"message": "Inventory item created"
},
{
"epc_id": "NDXDU",
"status": "created",
"message": "Inventory item created"
}
]
}{
"success": true,
"created_count": 5,
"details": [
{
"epc_id": "BNOYQ",
"status": "created",
"message": "Inventory item created"
},
{
"epc_id": "NDXDU",
"status": "created",
"message": "Inventory item created"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"errors": {}
}Inventories
Create manual inventory (bulk)
POST
/
api
/
inventories
/
manual
/
create
Create manual inventory (bulk)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I